gstreamermm: Gst::MiniObject Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Related Functions

# Gst::MiniObject Class Reference

This is a base class for some gstreamermm objects. More...

Inheritance diagram for Gst::MiniObject:
[legend]

List of all members.

## Public Member Functions
virtual | ~MiniObject ()
guint | get_flags () const
| Returns the entire set of flags for the mini-object.
bool | flag_is_set (guint flag) const
| Checks to see if the given flag is set.
void | set_flag (guint flag)
| Sets the given bits.
void | unset_flag (guint flag)
| Unsets the given bits.
bool | is_writable () const
| Checks if a mini-object is writable.
Glib::RefPtr< Gst::MiniObject > | create_writable ()
| Checks if a mini-object is writable.
void | reference () const
void | unreference () const
GstMiniObject* | gobj ()
| Provides access to the underlying C GstMiniObject.
const GstMiniObject* | gobj () const
| Provides access to the underlying C GstMiniObject.
GstMiniObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual Glib::RefPtr < Gst::MiniObject > | copy_vfunc () const
| Virtual function called when the Gst::MiniObject needs to be copied.
virtual void | finalize_vfunc ()
| Virtual function called when the Gst::MiniObject is about to be finalized.
## Protected Member Functions
| MiniObject ()
| MiniObject (const Glib::Class& mini_object_class)
| MiniObject (GstMiniObject* castitem, bool take_copy=false)
void | swap (MiniObject& other)
## Protected Attributes
GstMiniObject* | gobject_
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)

## Detailed Description

This is a base class for some gstreamermm objects.

It is similar to Glib::Object but has no GObject property or signal support.

## Constructor & Destructor Documentation

Gst::MiniObject::MiniObject | ( |  | ) | `[protected]`

Gst::MiniObject::MiniObject | ( | const Glib::Class & | mini_object_class | ) | `[explicit, protected]`

Gst::MiniObject::MiniObject | ( | GstMiniObject * | castitem,
|  | bool | take_copy = `false`
| ) |  | `[explicit, protected]`

virtual Gst::MiniObject::~MiniObject | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual Glib::RefPtr<Gst::MiniObject> Gst::MiniObject::copy_vfunc | ( |  | ) | const`[virtual]`

Virtual function called when the Gst::MiniObject needs to be copied.

Reimplemented in Gst::Event, Gst::Message, and Gst::Query.

Glib::RefPtr<Gst::MiniObject> Gst::MiniObject::create_writable | ( |  | ) |

Checks if a mini-object is writable.

If not, a writable copy is made and returned. This gives away the reference to the original mini object, and returns a reference to the new object.

MT safe

Returns:
  A mini-object (possibly the same pointer) that is writable.

Reimplemented in Gst::Buffer, Gst::BufferList, Gst::Event, Gst::Message, and Gst::Query.

virtual void Gst::MiniObject::finalize_vfunc | ( |  | ) | `[virtual]`

Virtual function called when the Gst::MiniObject is about to be finalized.

Reimplemented in Gst::Event, Gst::Message, and Gst::Query.

bool Gst::MiniObject::flag_is_set | ( | guint | flag | ) | const

Checks to see if the given flag is set.

Parameters:

  flag | The flag to check for.

guint Gst::MiniObject::get_flags | ( |  | ) | const

Returns the entire set of flags for the mini-object.

Returns:
  The Gst::MiniObject flags.

GstMiniObject* Gst::MiniObject::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GstMiniObject.

Reimplemented in Gst::Buffer, Gst::BufferList, Gst::DiscovererInfo, Gst::DiscovererStreamInfo, Gst::DiscovererContainerInfo, Gst::DiscovererAudioInfo, Gst::DiscovererVideoInfo, Gst::Event, Gst::Message, and Gst::Query.

const GstMiniObject* Gst::MiniObject::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GstMiniObject.

Reimplemented in Gst::Buffer, Gst::BufferList, Gst::DiscovererInfo, Gst::DiscovererStreamInfo, Gst::DiscovererContainerInfo, Gst::DiscovererAudioInfo, Gst::DiscovererVideoInfo, Gst::Event, Gst::Message, and Gst::Query.

GstMiniObject* Gst::MiniObject::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented in Gst::Buffer, Gst::BufferList, Gst::DiscovererInfo, Gst::DiscovererStreamInfo, Gst::DiscovererContainerInfo, Gst::DiscovererAudioInfo, Gst::DiscovererVideoInfo, Gst::Event, Gst::Message, and Gst::Query.

bool Gst::MiniObject::is_writable | ( |  | ) | const

Checks if a mini-object is writable.

A mini-object is writable if the reference count is one and the Gst::MINI_OBJECT_FLAG_READONLY flag is not set. Modification of a mini-object should only be done after verifying that it is writable.

MT safe

Returns:
  true if the object is writable.

Reimplemented in Gst::BufferList.

void Gst::MiniObject::reference | ( |  | ) | const

void Gst::MiniObject::set_flag | ( | guint | flag | ) |

Sets the given bits.

Parameters:

  flag | The flag to set, can by any number of bits in guint32.

void Gst::MiniObject::swap | ( | MiniObject& | other | ) | `[protected]`

void Gst::MiniObject::unreference | ( |  | ) | const

void Gst::MiniObject::unset_flag | ( | guint | flag | ) |

Unsets the given bits.

Parameters:

  flag | The flag to unset, must be a single bit in guint32.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::MiniObject > wrap | ( | GstMiniObject * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

## Member Data Documentation

GstMiniObject* Gst::MiniObject::gobject_`[protected]`

The documentation for this class was generated from the following files:

- gstreamermm/miniobject.h
- gstreamermm/wrap.h